Package org.jboss.logmanager

## Class DefaultConfigurationLocator

- java.lang.Object
- - org.jboss.logmanager.DefaultConfigurationLocator

All Implemented Interfaces:
  `ConfigurationLocator`

    public final class DefaultConfigurationLocator
    extends java.lang.Object
    implements ConfigurationLocator

A configuration locator which looks for a `logging.properties` file in the class path, allowing the location to be overridden via a URL specified in the `logging.configuration` system property.

### Constructor Summary

Constructors
`DefaultConfigurationLocator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.InputStream` `findConfiguration()` Find the configuration file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultConfigurationLocator

    public DefaultConfigurationLocator()

### Method Detail

#### findConfiguration

    public java.io.InputStream findConfiguration()
                                          throws java.io.IOException

Find the configuration file.

Specified by:
  `findConfiguration` in interface `ConfigurationLocator`
Returns:
  the configuration file input stream
Throws:
  `java.io.IOException`